import { IEditorData } from 'interfaces';
import { LabelType } from 'interfaces/enums';
import { LabelsData } from 'store/labels/types';
export declare abstract class BaseEngine {
    protected readonly canvas: HTMLCanvasElement;
    labelType: LabelType;
    protected constructor(canvas: HTMLCanvasElement);
    update(data: IEditorData, onLabelsDataChange?: (labelsData: LabelsData) => void, onHover?: (id: string) => void, onClick?: (id: string) => void, onMouseOut?: (id: string) => void): void;
    protected abstract mouseDownHandler(data: IEditorData, onClick?: (id: string) => void, onLabelsDataChange?: (labelsData: LabelsData) => void): void;
    protected abstract mouseMoveHandler(data: IEditorData, onHover?: (id: string) => void, onMouseOut?: (id: string) => void): void;
    protected abstract mouseUpHandler(data: IEditorData, onLabelsDataChange?: (labelsData: LabelsData) => void): void;
    abstract render(data: IEditorData): void;
    abstract isInProgress(): boolean;
}
