import { IEditorData } from 'interfaces';
import { LabelsData } from 'store/labels/types';
import { BaseEngine } from './BaseEngine';
export declare class PolygonEngine extends BaseEngine {
    private config;
    private activePath;
    private resizeAnchorIndex;
    private suggestedAnchorPositionOnCanvas;
    private suggestedAnchorIndexInPolygon;
    constructor(canvas: HTMLCanvasElement);
    update(data: IEditorData, onLabelsDataChange?: (labelsData: LabelsData) => void, onHover?: (id: string) => void, onClick?: (id: string) => void, onMouseOut?: (id: string) => void): void;
    mouseDownHandler(data: IEditorData, onClick: any, onLabelsDataChange: any): void;
    mouseUpHandler(data: IEditorData, onLabelsDataChange: any): void;
    mouseMoveHandler(data: IEditorData, onHover?: (id: string) => void, onMouseOut?: (id: string) => void): void;
    render(data: IEditorData): void;
    private updateCursorStyle;
    private drawActivelyCreatedLabel;
    private drawActivelyResizeLabel;
    private drawExistingLabels;
    private drawPolygon;
    private drawSuggestedAnchor;
    private updateActivelyCreatedLabel;
    cancelLabelCreation(): void;
    private finishLabelCreation;
    addLabelAndFinishCreation(data: IEditorData, onLabelsDataChange: any): void;
    private addPolygonLabel;
    private startExistingLabelResize;
    private endExistingLabelResize;
    private applyResizeToPolygonLabel;
    private discardSuggestedPoint;
    private addSuggestedAnchorToPolygonLabel;
    isInProgress(): boolean;
    private isCreationInProgress;
    private isResizeInProgress;
    private isMouseOverAnchor;
    private isMouseOverLine;
    private mapPointsToLines;
    private mapPointsToAnchors;
    private getPolygonUnderMouse;
    private getAnchorUnderMouse;
}
