import { IEditorData } from 'interfaces';
import { LabelsData } from 'store/labels/types';
import { BaseEngine } from './BaseEngine';
export declare class RectEngine extends BaseEngine {
    private config;
    private startCreateRectPoint;
    private startResizeRectAnchor;
    constructor(canvas: HTMLCanvasElement);
    mouseDownHandler: (data: IEditorData, onClick?: (id: string) => void) => void;
    mouseUpHandler: (data: IEditorData, onLabelsDataChange?: (labelsData: LabelsData) => void) => void;
    mouseMoveHandler: (data: IEditorData, onHover?: (id: string) => void, onMouseOut?: (id: string) => void) => void;
    render(data: IEditorData): void;
    private drawCurrentlyCreatedRect;
    private drawInactiveRect;
    private drawActiveRect;
    private renderRect;
    private updateCursorStyle;
    isInProgress(): boolean;
    private calculateRectRelativeToActiveImage;
    private addRectLabel;
    private getRectUnderMouse;
    private isMouseOverRectEdges;
    private getAnchorUnderMouseByRect;
    private getAnchorUnderMouse;
    private startRectCreation;
    private startRectResize;
    private endRectTransformation;
}
