import { IPoint, IRect } from 'interfaces';
export declare class DrawUtil {
    static clearCanvas(canvas: HTMLCanvasElement): void;
    static drawLine(canvas: HTMLCanvasElement, startPoint: IPoint, endPoint: IPoint, color?: string, thickness?: number): void;
    static drawRect(canvas: HTMLCanvasElement, rect: IRect, color?: string, thickness?: number): void;
    static drawRectWithFill(canvas: HTMLCanvasElement, rect: IRect, color?: string): void;
    static shadeEverythingButRect(canvas: HTMLCanvasElement, rect: IRect, color?: string): void;
    static drawCircleWithFill(canvas: HTMLCanvasElement, anchorPoint: IPoint, radius: number, color?: string): void;
    static drawCircle(canvas: HTMLCanvasElement, anchorPoint: IPoint, radius: number, startAngleDeg: number, endAngleDeg: number, thickness?: number, color?: string): void;
    static drawPolygon(canvas: HTMLCanvasElement, anchors: IPoint[], color?: string, thickness?: number): void;
    static drawPolygonWithFill(canvas: HTMLCanvasElement, anchors: IPoint[], color?: string): void;
    static drawText(canvas: HTMLCanvasElement, text: string, textSize: number, anchorPoint: IPoint, color?: string, bold?: boolean, align?: string): void;
    static getRandomRGBColor(): string;
    static hexToRGB(hex: string, alpha: number): string;
}
