import { Direction } from 'interfaces/enums/Direction';
import { IPoint } from 'interfaces/IPoint';
import { IRect } from 'interfaces/IRect';
import { IRectAnchor } from 'interfaces/IRectAnchor';
import { ISize } from 'interfaces/ISize';
export declare class RectUtil {
    static getRatio(rect: IRect): number;
    static intersect(r1: IRect, r2: IRect): boolean;
    static isPointInside(rect: IRect, point: IPoint): boolean;
    static getRectWithCenterAndSize(centerPoint: IPoint, size: ISize): IRect;
    static fitInsideRectWithRatio(containerRect: IRect, ratio: number): IRect;
    static resizeRect(inputRect: IRect, rectAnchor: Direction, delta: any): IRect;
    static translate(rect: IRect, delta: IPoint): IRect;
    static expand(rect: IRect, delta: IPoint): IRect;
    static scaleRect(rect: IRect, scale: number): IRect;
    static mapRectToAnchors(rect: IRect): IRectAnchor[];
    static snapPointToRect(point: IPoint, rect: IRect): IPoint;
}
