import { IEditorData } from 'interfaces/IEditorData';
import { IPoint } from 'interfaces/IPoint';
import { IRect } from 'interfaces/IRect';
export declare class RenderEngineUtil {
    static calculateImageScale(data: IEditorData): number;
    static isMouseOverImage(data: IEditorData): boolean;
    static isMouseOverCanvas(data: IEditorData): boolean;
    static transferPolygonFromImageToViewPortContent(polygon: IPoint[], data: IEditorData): IPoint[];
    static transferPointFromImageToViewPortContent(point: IPoint, data: IEditorData): IPoint;
    static transferPolygonFromViewPortContentToImage(polygon: IPoint[], data: IEditorData): IPoint[];
    static transferPointFromViewPortContentToImage(point: IPoint, data: IEditorData): IPoint;
    static transferRectFromViewPortContentToImage(rect: IRect, data: IEditorData): IRect;
    static transferRectFromImageToViewPortContent(rect: IRect, data: IEditorData): IRect;
    static wrapDefaultCursorStyleInCancel(data: IEditorData): void;
    static setValueBetweenPixels(value: number): number;
    static setPointBetweenPixels(point: IPoint): IPoint;
    static setRectBetweenPixels(rect: IRect): IRect;
}
